/****************************************************************************
** Form interface generated from reading ui file 'AddCrlDlg.ui'
**
** Created: Fri Mar 25 14:33:16 2005
**      by: The User Interface Compiler ($Id: AddCrlDlg.h,v 1.2 2005/03/28 13:06:45 jbrandao Exp $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef ADDCRLDLG_H
#define ADDCRLDLG_H

#include <qvariant.h>
#include <qpixmap.h>
// #include <qdialog.h>

#include <qstring.h>
#include <qstringlist.h>

#include "CryptonitDlg.h"

#include <string>

#define ERROR_CRL_WRONG_ISSUER  -1
#define ERROR_CRL_SAVE_FILE     -2
#define ERROR_CRL_CONFIG_UPDATE -3
#define ERROR_CRL_NOT_UNIQUE    -4
#define ERROR_CRL_WRITE_FILE    -5
#define ERROR_CRL_LOAD          -6
#define ERROR_CRL_NO_CA_ISSUER  -7

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QButtonGroup;
class QRadioButton;
class QLineEdit;
class QPushButton;
class QLabel;

namespace Cryptonit {
  class User;
  class Certificate;
  class Crl;
};

class AddCrlDlg : public CryptonitDlg
{
  Q_OBJECT

public:
  AddCrlDlg( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
  ~AddCrlDlg();
  
  void init(const QString& defaultLDAPDN="",
            const QString& defaultURI="http://");
    
  bool isFile();
  bool isURI();
  bool isLDAP(); 

  static QString fetchCrl( QString uri );
  static bool deleteCrl( QString name , Cryptonit::Certificate c , Cryptonit::User *user );
  static int updateCrl( QString uri , Cryptonit::Certificate C , Cryptonit::User *user);
  static int saveCrl( QString uri , Cryptonit::Crl *crl , Cryptonit::Certificate C , Cryptonit::User *user );

/*
  QString getFile();
  QString getURI();
  QStringList getLDAP();  */  

protected:
  //UI
  QButtonGroup* buttonGroup7;
  QRadioButton* fileRadio;
  QLineEdit* file;
  QPushButton* fileBtn;
  QRadioButton* uriRadio;
  QLineEdit* uri;
  QRadioButton* ldapRadio;
  QLabel* textLabel12;
  QLineEdit* serverName;
  QLabel* textLabel13;
  QLineEdit* serverPort;
  QLabel* textLabel14;
  QLineEdit* baseDN;
  QLabel* textLabel15;
  QLineEdit* authorityFilter;

  QVBoxLayout* AddCrlDlgLayout;
  QVBoxLayout* buttonGroup7Layout;
  QVBoxLayout* layout701;
  QHBoxLayout* layout696;
  QVBoxLayout* layout700;
  QVBoxLayout* layout704;
  QHBoxLayout* layout697;
  QHBoxLayout* layout698;
  QHBoxLayout* layout699;

protected slots:
  virtual void languageChange();
  
  virtual void toggleFile(bool);
  virtual void toggleUri(bool);
  virtual void toggleLDAP(bool);
  virtual void onFileBtn();
  
private:
  QPixmap image0;  
};

#endif // ADDCRLDLG_H
