/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/

#include <qdir.h>

void EncryptingSettingsDlg::onTarget()
{
    QString s = QFileDialog::getExistingDirectory(
     QDir::currentDirPath(), 
     this, 
     "diretorioDestino", 
                "Selecione o diretrio de destino para os arquivos encriptados",
                TRUE );
    if (!s.isEmpty()) {
 targetDir->setText(s);
    }
}


void EncryptingSettingsDlg::onLeave( bool enabled )
{
    dirBtn->setEnabled(!enabled);
    targetDir->setEnabled(!enabled);
}


bool EncryptingSettingsDlg::getDeleteFile()
{
    return deleteCB->isOn();
}


QString EncryptingSettingsDlg::getPath()
{
    return targetDir->text();
}


bool EncryptingSettingsDlg::getLeaveFile()
{
    return leaveCB->isOn();
}


void EncryptingSettingsDlg::init()
{
	targetDir->setText(QDir::currentDirPath());
}


