/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/

#include <qfiledialog.h>
#include <qdir.h>

void SignSettingsDlg::onTarget()
{
  QString s = QFileDialog::getExistingDirectory(
                QDir::currentDirPath(),
                this,
                "diretorioDestino",
                "Selecione o diretrio de destino para os arquivos assinados",
                TRUE );
  if (!s.isEmpty())
  {
    targetDir->setText(s);

  }
}

void SignSettingsDlg::onDelete( bool checked )
{
  attachedRadio->setChecked(TRUE);
  detachedRadio->setChecked(FALSE);
}


void SignSettingsDlg::onLeave( bool checked )
{
  dirBtn->setEnabled(!checked);
  targetDir->setEnabled(!checked);
}


void SignSettingsDlg::onDetached( bool checked )
{
  deleteCB->setEnabled(checked);
}


void SignSettingsDlg::onAttached( bool checked )
{
  deleteCB->setEnabled(checked);
}


bool SignSettingsDlg::getAttached()
{
  return attachedRadio->isChecked();
}


bool SignSettingsDlg::getDetached()
{
  return detachedRadio->isChecked();

}


bool SignSettingsDlg::getDelete()
{
  return deleteCB->isChecked();
}


bool SignSettingsDlg::getLeave()
{
  return leaveCB->isChecked();
}


bool SignSettingsDlg::getEncrypted()
{
  return false;

}


QString SignSettingsDlg::getPath()
{
  return targetDir->text();
}


void SignSettingsDlg::init()
{
  targetDir->setText(QDir::currentDirPath());
}
