#include "LoginFrame.h"

#include <qapplication.h>
#include "MainWindow.h"


int main( int argc, char **argv )
{
  QApplication a(argc,argv);

  LoginFrame* l = new LoginFrame(0, 0, false, Qt::WStyle_Customize | Qt::WStyle_Dialog);

  if(l->licenseAccepted())
  {
    if(l->exec() == QDialog::Accepted )
    {
      MainWindow* mainWindow = new MainWindow(0);
      mainWindow->init(l->loggedUser());
      delete l;
      a.setMainWidget(mainWindow);
      mainWindow->show();      //
      return a.exec();
    }
  }
  else
  {
    delete l;
  }
}
