//
// C++ Implementation: %{MODULE}
//
// Description:
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "mainwindowlistview.h"

MainWindowListView::MainWindowListView(QWidget *parent, const char *name)
 : QListView(parent, name)
{
}


MainWindowListView::~MainWindowListView()
{
}

void MainWindowListView::keyPressEvent ( QKeyEvent * e ) {
	if (e->key() == Qt::Key_Delete) {
		QListViewItem *item = currentItem();
		takeItem(item);
  
    if(childCount() == 0)
    {
      emit lastItemDeleted();
    }
	}
	else {
		QListView::keyPressEvent(e);
	}
}


#include "mainwindowlistview.moc"
