//
// C++ Interface: %{MODULE}
//
// Description: 
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef QTPASSWORDMANAGER_H
#define QTPASSWORDMANAGER_H

#include <qwidget.h>

#include "../PasswordManager.hh"
#include "QTPasswordManagerFormBase.h"

using namespace Cryptonit;

/**
@author 
*/
class QTPasswordManager : public PasswordManager, public QTPasswordManagerFormBase
{
public:
    QTPasswordManager(QWidget* parent = 0, const char* name = 0, bool modal = false, WFlags fl = 0);

    ~QTPasswordManager();
     bool getPassword(std::string token, std::string object,
		     char **password, int flags, Certificate *c);
     void displayDetails();
     void init(User *u);

private:
    User *user;
    Certificate *cert;
};

#endif
